%define name gwenhywfar
%define libname %mklibname %name 17
Summary: A multi-platform helper library for other libraries
Name: gwenhywfar
Version: 1.17.0
Release: 1mdk
Source: http://prdownloads.sourceforge.net/gwenhywfar/%{name}-%{version}.tar.bz2
Patch0: gwenhywfar-1.10.0-lib64.patch.bz2
BuildRequires: automake1.9
BuildRequires: autoconf2.5 >= 2.58
BuildRequires: openssl-devel
BuildRequires: ncurses-devel
Group: System/Libraries
License: LGPL
URL: http://sourceforge.net/projects/gwenhywfar
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
www.libchipcard.de and OpenHBCI-TNG (The Next Generation)
www.openhbci.de.

%package -n %libname
Summary: A multi-platform helper library for other libraries
Group: System/Libraries
Requires: %name = %version

%description -n %libname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
www.libchipcard.de and OpenHBCI-TNG (The Next Generation)
www.openhbci.de.

%package -n %libname-devel
Summary: Gwenhywfar development kit
Group: Development/C
Requires: %{libname} = %{version}
Provides: lib%name-devel = %{version}-%{release}

%description -n %libname-devel
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%prep
%setup -q
%patch0 -p1 -b .lib64
aclocal-1.9 -I m4
autoconf

%build
%configure2_5x --disable-static
%make

%install
rm -fr $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name
perl -pi -e "s-L$RPM_BUILD_DIR/%name-%version/src" %buildroot%_libdir/*.la %buildroot%_libdir/%name/plugins/*/*/*.la

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%config(noreplace) %_sysconfdir/gwen-public-ca.crt
%_bindir/gct-tool

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/%{name}

%files -n %libname-devel
%defattr(-,root,root)
%{_bindir}/gwenhywfar-config
%{_bindir}/xmlmerge
%{_bindir}/dlgtest
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_includedir}/gwenhywfar
%{_includedir}/gwenpp
%{_libdir}/*.so
%{_libdir}/*.la
%{_datadir}/aclocal/gwenhywfar.m4

%changelog
* Wed Aug 24 2005 Götz Waschk <waschk@mandriva.org> 1.17.0-1mdk
- New release 1.17.0

* Thu Aug 11 2005 Gtz Waschk <waschk@mandriva.org> 1.15.0-1mdk
- update file list
- New release 1.15.0

* Mon Jul 11 2005 Gtz Waschk <waschk@mandriva.org> 1.14.0-1mdk
- New release 1.14.0

* Tue Jun 14 2005 Gtz Waschk <waschk@mandriva.org> 1.13.3-1mdk
- New release 1.13.3

* Fri May 27 2005 Gtz Waschk <waschk@mandriva.org> 1.13.2-1mdk
- New release 1.13.2

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 1.13.1-1mdk
- New release 1.13.1

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 1.13.0-1mdk
- New release 1.13.0

* Mon May 02 2005 Gtz Waschk <waschk@mandriva.org> 1.12.1-1mdk
- New release 1.12.1

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 1.12.0-1mdk
- New release 1.12.0

* Wed Apr 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.10.0-1mdk 
- Release 1.10.0
- Regenerate patch0

* Tue Mar  8 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.0-2mdk
- lib64 fixes

* Mon Feb 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.8.0-1mdk
- add CA Certificates file
- New release 1.8.0

* Tue Feb 15 2005 Jerome Soyer <saispo@mandrake.org> 1.7.2-1mdk
- New release

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3-2mdk
- fix provides

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- initial package
